summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-03-03 20:55:53 +0100
committerMichał Górny <mgorny@gentoo.org>2026-03-03 21:03:14 +0100
commitcaa98366db5b65311a11087b0a046adffed39077 (patch)
tree45a6ecae11bf583bda2c323b326c7b8dc9492153 /dev-python
parent29c93fc9705debce1f37bd8ee221ed78624c3876 (diff)
downloadgentoo-caa98366db5b65311a11087b0a046adffed39077.tar.gz
gentoo-caa98366db5b65311a11087b0a046adffed39077.tar.bz2
gentoo-caa98366db5b65311a11087b0a046adffed39077.zip
dev-python/lit: Add 23.0.0_pre20260303 snapshot
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-23.0.0_pre20260303.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index c6af677c12d3..840bbc627f0e 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -14,3 +14,4 @@ DIST llvm-project-21.1.8.src.tar.xz.sig 119 BLAKE2B cffc1825f5778a3e3c128ec3e856
DIST llvm-project-22.1.0.src.tar.xz 167040408 BLAKE2B c5e9971dd17f4b0508b85c9f247bebfcf9a9b4e282f65b09105549e7aef529ed25104458b83f5d7b152c4308df8ea2f8fdb7f479f4928d9b4360a3c326255647 SHA512 588753a26742cfc76ca179398eaac6a31e68b1fa5bfaf7300ce710a89bba1dc9bfe41229bb9277663a3cde4468e74922153e5d1529eb7c6fe4de5ba3cb62ba45
DIST llvm-project-22.1.0.src.tar.xz.sig 119 BLAKE2B d3190d9dbacedf9de0c6b3d5c7711ae3c57dd4dc8cd136bc27fe4901253ffbd6d21060c046d7bf69d3a9489b5704ab5337e6d26da8236966c609b2d0eb54db97 SHA512 6145bf769640a9c6546cb63fa82450b2985ab74b2180a735f709ed909998cfbc6781116354b8b819cefa0e87cd11d470ecc64cd758b4a703aa10ee7880315f42
DIST llvm-project-ab25249e63aba72be5365e5dc08c8d3c34d23276.tar.gz 262159561 BLAKE2B 2ba10498cb3003b17680e4eb9cfdd1e50a359f64d2a3319e5060d2efde2c4d62bfb406d72eb66a358de1a5587cd5dcd360211c8a06b6b5a891379f4a75ff7114 SHA512 fa269505d6ddb2e8f78a761e299bd8432b9340055833c7d50d5285febf785c03a144e35e3911f00a592e05bbefb9316cdc8d6e06b01e79c6d1542a8081b9b294
+DIST llvm-project-d908184487b9d99b249d4238453e91203492888a.tar.gz 263757577 BLAKE2B 594855e915286c5b356c80abab06639e8e032559b011d0eb634ea873f552e0cb0b922709b6efdadd40adac053f0aa2e52bd82352c49f56af6f7d1c7727cdf5f7 SHA512 5849d385010d1deefde647ada47687c5479fa2b052990e9aec7c051d066fa8842b4fd431a151e62b335d0b91f72a6869bd7181c8bee500e76d575e414e7d4605
diff --git a/dev-python/lit/lit-23.0.0_pre20260303.ebuild b/dev-python/lit/lit-23.0.0_pre20260303.ebuild
new file mode 100644
index 000000000000..e7ba350e0086
--- /dev/null
+++ b/dev-python/lit/lit-23.0.0_pre20260303.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ llvm-core/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from llvm-core/llvm)
+
+src_prepare() {
+ # flaky test
+ # https://github.com/llvm/llvm-project/issues/72022
+ rm tests/progress-bar.py || die
+
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}